Package com.explodingpixels.macwidgets

## Interface SourceListExpansionListener

    public interface SourceListExpansionListener

An interface for listening for expansion events. It handles expansion events for both `SourceListItem` and `SourceListCategory`.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `shouldCollapseSourceListItem​(SourceListItem item)` Called before collapsing a `SourceListItem` in a `SourceList`.
`boolean` `shouldExpandSourceListCategory​(SourceListCategory category)` Called before expanding a `SourceListCategory` in a `SourceList`.
`boolean` `shouldExpandSourceListItem​(SourceListItem item)` Called before expanding a `SourceListItem` in a `SourceList`.
`boolean` `shouldToCollapseSourceListCategory​(SourceListCategory category)` Called before collapsing a `SourceListCategory` in a `SourceList`.
`void` `sourceListCategoryCollapsed​(SourceListCategory category)` Called when a `SourceListCategory` is collapsed in a `SourceList`.
`void` `sourceListCategoryExpanded​(SourceListCategory category)` Called when a `SourceListCategory` is expanded in a `SourceList`.
`void` `sourceListItemCollapsed​(SourceListItem item)` Called when a `SourceListItem` is collapsed in a `SourceList`.
`void` `sourceListItemExpanded​(SourceListItem item)` Called when a `SourceListItem` is expanded in a `SourceList`.

### Method Detail

#### shouldExpandSourceListItem

    boolean shouldExpandSourceListItem​(SourceListItem item)

Called before expanding a `SourceListItem` in a `SourceList`. Determines whether an item is allowed to be expanded or not

Parameters:
  `item` - the item that requests to be expanded.
Returns:
  true if the item is expandable, false otherwise

#### sourceListItemExpanded

    void sourceListItemExpanded​(SourceListItem item)

Called when a `SourceListItem` is expanded in a `SourceList`. The method will only be called if `shouldExpandSourceListItem(SourceListItem)` returns true.

Parameters:
  `item` - the item that was expanded.

#### shouldCollapseSourceListItem

    boolean shouldCollapseSourceListItem​(SourceListItem item)

Called before collapsing a `SourceListItem` in a `SourceList`. Determines whether an item is allowed to be collapsed or not

Parameters:
  `item` - the item that requests to be collapsed.
Returns:
  true if the item is collapsable, false otherwise

#### sourceListItemCollapsed

    void sourceListItemCollapsed​(SourceListItem item)

Called when a `SourceListItem` is collapsed in a `SourceList`. The method will only be called if `shouldCollapseSourceListItem(SourceListItem)` returns true.

Parameters:
  `item` - the item that was collapsed.

#### shouldExpandSourceListCategory

    boolean shouldExpandSourceListCategory​(SourceListCategory category)

Called before expanding a `SourceListCategory` in a `SourceList`. Determines whether a category is allowed to be expanded or not

Parameters:
  `category` - the category that requests to be expanded.
Returns:
  true if the item is expandable, false otherwise

#### sourceListCategoryExpanded

    void sourceListCategoryExpanded​(SourceListCategory category)

Called when a `SourceListCategory` is expanded in a `SourceList`. The method will only be called if `shouldExpandSourceListCategory(SourceListCategory)` returns true.

Parameters:
  `category` - the category that was expanded.

#### shouldToCollapseSourceListCategory

    boolean shouldToCollapseSourceListCategory​(SourceListCategory category)

Called before collapsing a `SourceListCategory` in a `SourceList`. Determines whether a category is allowed to be collapsed or not

Parameters:
  `category` - the category that requests to be collapsed.
Returns:
  true if the item is collapsable, false otherwise

#### sourceListCategoryCollapsed

    void sourceListCategoryCollapsed​(SourceListCategory category)

Called when a `SourceListCategory` is collapsed in a `SourceList`. The method will only be called if `shouldToCollapseSourceListCategory(SourceListCategory)` returns true.

Parameters:
  `category` - the category that was collapsed.